Skip to main content
POST
/
v1
/
workspaces
/
{workspace_id}
:pause
Pause or unpause a workspace
curl --request POST \
  --url https://api.usezombie.com/v1/workspaces/{workspace_id}:pause \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pause": true,
  "reason": "<string>",
  "version": 123
}
'
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paused": true,
  "version": 123,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

workspace_id
string<uuid>
required

Workspace identifier

Body

application/json
pause
boolean
required

True to pause, false to unpause

reason
string
required

Human-readable reason for the state change

version
integer
required

Optimistic concurrency version — must match current workspace version

Response

Workspace pause state updated

workspace_id
string<uuid>
required
paused
boolean
required
version
integer
required
request_id
string<uuid>
required